

main.o : main.c constantes.h modele.o projecteur.o reflecteur.o absorbeur.o photon.o error.o utilitaire.o
	gcc main.c modele.o projecteur.o reflecteur.o absorbeur.o photon.o error.o utilitaire.o -lm -o rendu1.x
	
modele.o :  modele.c modele.h 
	gcc -c modele.c	
	
projecteur.o : projecteur.c projecteur.h
	gcc -c projecteur.c
	
reflecteur.o : reflecteur.c reflecteur.h
	gcc -c reflecteur.c

absorbeur.o : absorbeur.c absorbeur.h
	gcc -c absorbeur.c
	
photon.o : photon.c photon.h
	gcc -c photon.c
	
error.o :
	gcc -c error.c -o error.o
	
utilitaire.o :
	gcc -c utilitaire.c -lm -o utilitaire.o
	
clean :
		$(RM) rendu1.x *.o
